%global momorel 1
%global artsver 1.5.7
%global artsrel 1m
%global qtver 3.3.7
%global kdever 3.5.7
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: A frontend to various audio converters
Name: soundkonverter
Version: 0.3.6
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.kde-apps.org/content/show.php?content=29024
Group: Applications/Multimedia
Source0: http://hessijames.googlepages.com/%{name}-%{version}.tar.bz2
NoSource: 0
Source1: %{name}rc
Patch0: %{name}-0.3.2-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: TiMidity++
Requires: cdparanoia
Requires: faac
Requires: faad2
Requires: flac
Requires: ffmpeg
Requires: icedax
Requires: lame
Requires: mplayer
Requires: speex
Requires: vorbis-tools
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: autoconf
BuildPreReq: automake
BuildPreReq: cdparanoia-devel
BuildPreReq: gettext
BuildPreReq: libtool
BuildPreReq: libxml2
BuildPreReq: taglib-devel

%description
soundKonverter is frontend to various audio converters.

It is extendable by plugins and supports many backends:
lame, oggenc, flac, musepack, faac, mplayer, ffmpeg - just to mention a few.
This way you can convert between various audio formats:
mp3, ogg, flac, mpc, aac, m4a, rm and wma, avi, flv (the latter reading only) for example.
soundKonverter supports reading and writing tags for many formats, so the tags are preserved when converting files.

The key features are:
- Audio conversion
- Replay Gain calculation
- CD ripping

soundKonverter comes with an Amarok script that allows you to easily transcode files when transfering to your media device.

%prep
%setup -q

%patch0 -p1 -b .desktop~

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install soundkonverterrc
mkdir -p %{buildroot}%{_datadir}/config
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/config/

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/soundkonverter.png %{buildroot}%{_datadir}/pixmaps/soundkonverter.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_bindir}/soundkonverter
%{_datadir}/applications/kde/soundkonverter.desktop
%{_datadir}/apps/konqueror/servicemenus/audiocd_extract_with_soundkonverter.desktop
%{_datadir}/apps/soundkonverter
%{_datadir}/config/soundkonverterrc
%{_datadir}/doc/HTML/*/soundkonverter
%{_datadir}/icons/hicolor/*/apps/soundkonverter*.png
%{_datadir}/locale/*/LC_MESSAGES/soundkonverter.mo
%{_datadir}/pixmaps/soundkonverter.png
%{_datadir}/mimelnk/application/x-*.desktop
%{_datadir}/mimelnk/audio/x-*.desktop
%{_datadir}/mimelnk/video/x-flv.desktop

%changelog
* Tue Sep  4 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.6-1m)
- version 0.3.6
- do not use %%NoSource macro

* Sat Aug  4 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.4-2m)
- replace Source0 to new tar-ball

* Mon Jul 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.4-1m)
- version 0.3.4

* Tue Jun 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.3-4m)
- change Requires from kdebase to kdelibs

* Fri Jun  8 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.3-3m)
- set ripper=cdda2wav to avoid crashing at initial start up

* Fri Jun  8 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.3-2m)
- good-bye cdrtools and welcome cdrkit

* Tue May 22 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.3-1m)
- version 0.3.3

* Thu Apr 12 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.2-1m)
- version 0.3.2

* Sat Dec 16 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.95-1m)
- initial build for Momonga Linux 3
